# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "pass-ssh-unpack"
version = "0.6.1"
authors = ["Shane Stanley <shane@thedragon.dev>"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "A utility for unpacking proton's pass-cli ssh keys into usable ssh and rclone configurations."
readme = "README.md"
keywords = [
    "ssh",
    "proton-pass",
    "password-manager",
    "rclone",
]
categories = ["command-line-utilities"]
license = "MIT"
repository = "https://github.com/Frosthaven/pass-ssh-unpack"

[package.metadata.release]
publish = false
push = false
tag = false
pre-release-commit-message = "chore: release v{{version}}"

[[bin]]
name = "pass-ssh-unpack"
path = "src/main.rs"

[dependencies.anyhow]
version = "1"

[dependencies.clap]
version = "4"
features = ["derive"]

[dependencies.dirs]
version = "5"

[dependencies.glob]
version = "0.3"

[dependencies.hostname]
version = "0.4"

[dependencies.indicatif]
version = "0.18"

[dependencies.inquire]
version = "0.9"

[dependencies.rpassword]
version = "7"

[dependencies.sanitize-filename]
version = "0.6"

[dependencies.serde]
version = "1"
features = ["derive"]

[dependencies.serde_json]
version = "1"

[dependencies.tempfile]
version = "3"

[dependencies.toml]
version = "0.8"

[dependencies.url]
version = "2"

[dependencies.which]
version = "6"

[profile.release]
lto = true
strip = true
